Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
- AbsScalaSettings
- AbsSettings
- AnyScalaVersion
- Development
- Final
- FscSettings
- Milestone
- MutableSettings
- NoScalaVersion
- RC
- ScalaBuild
- ScalaSettings
- ScalaVersion
- SpecificScalaVersion
- StandardScalaSettings
- Warnings

o

scala.tools.nsc.settings

# Final 

###

#### object Final extends ScalaBuild with Product with Serializable

A final final

Source
  ScalaVersion.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ScalaBuild, math.Ordered[ScalaBuild], Comparable[ScalaBuild], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Final
2. Serializable
3. Serializable
4. Product
5. Equals
6. ScalaBuild
7. Ordered
8. Comparable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def <(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
4.  def <=(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def >(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
7.  def >=(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def compare(that: ScalaBuild): Int
    Definition Classes
      Final → Ordered
11.  def compareTo(that: ScalaBuild): Int
    Definition Classes
      Ordered → Comparable
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  def unparse: String

    Return a version of this build information that can be parsed back into the same ScalaBuild

    Return a version of this build information that can be parsed back into the same ScalaBuild

    Definition Classes
      Final → ScalaBuild
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ScalaBuild

### Inherited from math.Ordered[ScalaBuild]

### Inherited from Comparable[ScalaBuild]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped